%define	name	manedit
%define	version 0.5.4
%define release 1mdk
%define summary	UNIX manual pages editor

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License: 	GPL
Group: 		Editors
Source0:	ftp://wolfpack.twu.net/users/wolfpack/%{name}-%{version}.tar.bz2
Source1:	%{name}_48x48.xpm
Source2:	%{name}_32x32.xpm
Source3:	%{name}_16x16.xpm
Url: 		http://wolfpack.twu.net/ManEdit
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgtk+1.2-devel

%description
ManEdit was created due to a lack of editors for UNIX manual pages,
since users expect each UNIX program/configuration/api/etc to have a
manual page the lack of an editor and the high demand for what it
should create eventually lead to this (long overdue) application. 

Although most resourced developers can create a source document using a
much more advanced editor and then export to multiple file formats, the
average UNIX contributor isn't up to that. Even the creators of this
application were intimidated at the UNIX manual page creation process. 

So to make computers and life simpler, we created ManEdit, the Manual
Page Editor and Viewer. It features: 
- XML Interface and Multiple Sectional Editing 
- Instant preview feature and stand-alone viewer/browser 
- Drag and Drop system and templates for easy mass production 

%prep
rm -rf $RPM_BUILD_ROOT
%setup

%build
export CFLAGS=$RPM_OPT_FLAGS
./configure Linux -v --disable=arch-i686
make

%install
make PREFIX=$RPM_BUILD_ROOT%_prefix MAN_DIR=$RPM_BUILD_ROOT%{_mandir}/man1 install

# icons
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm 
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm 
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_libdir}/menu
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
	command="%{_bindir}/%{name}"\\
	needs="X11"\\
	icon="%{name}.xpm"\\
	section="Applications/Editors"\\
	title="ManEdit" \
	longtitle="UNIX manual pages editor"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files 
%defattr(-,root,root)
%doc AUTHORS INSTALL LICENSE README
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%changelog
* Sat Jan 19 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.4-1mdk
- new release

* Wed Nov 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.3-1mdk
- 0.5.3

* Fri Oct 26 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.5.1-3mdk
- corrected typo in description

* Wed Oct 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-2mdk
- fixes from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- icons in right place

* Sat Sep 15 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.5.1-1mdk
- 0.5.1
- dropped gtk config patch

* Wed Aug 15 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.5.0-1mdk
- first Mandrake release
